[arch-commits] Commit in xf86miscproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 21 21:42:50 EDT 2009


    Date: Tuesday, April 21, 2009 @ 21:42:50
  Author: eric
Revision: 36395

upgpkg: xf86miscproto 0.9.2-2
    Added license

Modified:
  xf86miscproto/trunk/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-22 01:41:46 UTC (rev 36394)
+++ PKGBUILD	2009-04-22 01:42:50 UTC (rev 36395)
@@ -3,17 +3,19 @@
 
 pkgname=xf86miscproto
 pkgver=0.9.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 XFree86-Miscellaneous extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('acae8edeb05a406f7f60bcbb218a8f1d')
 sha1sums=('bfaf893bb97085c79ef84e9911c97d11b2a4fdbe')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list